'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Span = exports.Div = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _utils = require('../utils');

/**
 * Div component.
 *
 * @param {Object} props
 * @returns {Object}
 */
var Div = exports.Div = function Div(props) {
  return React.createElement('div', _extends({}, props, { className: (0, _utils.createClassName)(props.className, (0, _utils.generalClassNames)(props)) }));
};

Div.propTypes = _extends({}, _utils.GeneralPropTypes);

/**
 * Span component.
 *
 * @param {Object} props
 * @returns {Object}
 */
var Span = exports.Span = function Span(props) {
  return React.createElement('span', _extends({}, props, { className: (0, _utils.createClassName)(props.className, (0, _utils.generalClassNames)(props)) }));
};

Span.propTypes = _extends({}, _utils.GeneralPropTypes);